Subject: Re: [3.15-rc3] Bisected: xen-netback mangles packets between two guests on a bridge since merge of "TX grant mapping with SKBTX_DEV_ZEROCOPY instead of copy" series.

From: Steven Haigh <[email-masked]>
Date: Fri, 16 May 2014 12:13:45 +1000

On 07/05/14 18:16, David Vrabel wrote:
> On 06/05/14 19:07, Steven Haigh wrote:
>> Well, I'm trying to get a test together - although I don't have webdav
>> anywhere... I was going to try it via FTP, however I'm hitting another
>> MM bug in Xen:
>> 	https://bugs.archlinux.org/task/38596
>>
>> This references:
>> 	https://lkml.org/lkml/2014/1/23/596
>>
>> It says that should be fixed in 3.15-rc3 (if I understand properly) -
>> but I'm also hitting that on 3.14.2. Did these changes get ported back
>> to the 3.14 tree?
> 
> This is fixed by 29c7787075 (mm: use paravirt friendly ops for NUMA
> hinting ptes) which is tagged for stable but hasn't yet been picked up
> for 3.14.y.
> 
> You can also work around it by disabling CONFIG_NUMA_BALANCING which
> doesn't work with Xen PV guests anyway.

Hi David,

Just wondering if there has been any movement in getting this into
3.14.y. I see we've now just hit 3.14.4 with no mention of the patch for
issue.

-- 
Steven Haigh

Email: [email-masked]
Web: http://www.crc.id.au
Phone: (03) 9001 6090 - 0412 935 897
Fax: (03) 8338 0299